one-modules-post-one¶
Source¶
Repository:
jef-systems/jef-one-backendSource Run ID:
25256541517Source SHA:
944e655286e0c87c6e611453ffc46df43159a83dModule:
oneDocumentation Scope:
asyncLambda:
jef-one-post-16
Endpoint¶
API Name:
jef-oneAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/one-modules-post-oneComplete Endpoint:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-modules-post-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-post-16curl payload mode:
json_body
API Gateway Description¶
Function: jef-one-post-16
Module: jef-one
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /one-modules-post-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-one-modules
Payload Example:
- pk: 01
- module_number: 01
- name: Authentication
- is_active: True
- created_at: 2026-04-29T00:00:00Z
- updated_at: 2026-04-29T00:00:00Z
Payload Schema:
- pk: string-{module_number}
- module_number: string
- name: string
- is_active: boolean
- created_at: string
- updated_at: string
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "01",
"module_number": "01",
"name": "Authentication",
"is_active": "True",
"created_at": "2026-04-29T00:00:00Z",
"updated_at": "2026-04-29T00:00:00Z"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X POST "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-modules-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"01\", \"module_number\": \"01\", \"name\": \"Authentication\", \"is_active\": true, \"created_at\": \"2026-04-29T00:00:00Z\", \"updated_at\": \"2026-04-29T00:00:00Z\"}"
PowerShell curl¶
curl.exe -X POST "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-modules-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "01", "module_number": "01", "name": "Authentication", "is_active": true, "created_at": "2026-04-29T00:00:00Z", "updated_at": "2026-04-29T00:00:00Z"}'